# DeleteLicenseKey

Delete license key for this account by license key name

`DELETE /api/v2/accounts/{id}/licensekey/{licensekeyname}`

**API:** AvaTax API
**Tag:** Accounts
**API Version:** v2
**Base URL:** https://sandbox-rest.avatax.com/
**Accepts:** `application/json`
**Authentication:** API Key (`Authorization` in header) or OAuth 2.0 or Basic (username + license key)

Source: https://developer.avalara.com/products/crossborder/api/methods/Accounts/DeleteLicenseKey/

## Description

Deletes the license key for this account using license key name.
            
To delete a license key for your account, you must specify the accountID of the account and license key name.
            
This API is only available to account administrators for the account in question.

### Security Policies

* This API requires one of the following user roles: AccountAdmin, AvaTaxOnlyAccountAdmin, BatchServiceAdmin, Registrar, SiteAdmin, SSTAdmin, SystemAdmin, TechnicalSupportAdmin.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `id` | integer | path | Yes | The ID of the account you wish to update. |
| `licensekeyname` | string | path | Yes | The license key name you wish to update. |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API.  For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success |  |
| 400 | Bad Request |  |
| 401 | Unauthorized |  |
| 404 | Not Found |  |

## Example Request

```bash
curl -X DELETE "https://sandbox-rest.avatax.com/api/v2/accounts/{id}/licensekey/{licensekeyname}" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```